/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 01/05/2015 : SCA : V2.1
 * Version : 06/11/2017 : SCA : V2.2.1 
 *  Redmine #5403 - DMPT3 
 * ----------------------------------------
 */
package fr.tlse.irap.map;

import java.io.Serializable;

import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlRootElement;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlRootElement
public class CarringtonMap implements Serializable {

	/**
	 * serialVersion of CarringtonMap Class
	 */
	private static final long serialVersionUID = 1L;

	private CarringtonMapHeader carringtonMapHeader;

	@XmlElement
	public CarringtonMapHeader getHeader() {
		return carringtonMapHeader;
	}

	@XmlJavaTypeAdapter(FitsFloatAdapter.class)
	@XmlElement
	public float[] fDataCompressed;

	public CarringtonMap() {
		super();
	}

	public CarringtonMap(CarringtonMapHeader carringtonMapHdr) {
		super();
		carringtonMapHeader = carringtonMapHdr;
	}

	public boolean hasHeader() {
		return (carringtonMapHeader == null);
	}

	public void setHeader(CarringtonMapHeader carringtonMapHdr) {
		carringtonMapHeader = carringtonMapHdr;
	}

}
